
## **<a name="getIndustries"> 获取一级大类列表 </a>**

[返回到目录](#menu)

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 接口地址 `[/web/zzzd/zzzd/springBoard]`

#### 参数说明

| 参数名   | 参数类型 | 必选项 | 备注                 |
| -------- | -------- | ------ | -------------------- |

#### 参数示例

```javascript
{
     "actionType": "getIndustries",
     "actionBody":    {}
}
```

#### 返回结果

```javascript
{
    "status":0,
    "msg":"success",
    "data":[{ "id":"xxx", "name":"xxx", ...  },{ "id":"xxx", "name":"xxx", ...  }],
    },
    "requestid":"453c672537b8469d848e4c2899273d4d"
}
```



## **<a name="getSecondIndustries"> 获取二级大类列表 </a>**

[返回到目录](#menu)

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 接口地址 `[/web/zzzd/zzzd/springBoard]`

#### 参数说明

| 参数名   | 参数类型 | 必选项 | 备注                 |
| -------- | -------- | ------ | -------------------- |
| industryId  | STRING    | 必填   |    一级行业ID  |

#### 参数示例

```javascript
{
     "actionType": "getSecondIndustries",
     "actionBody":    {
        "industryId":"xxx",// 行业ID
     }
}
```

#### 返回结果

```javascript
{
    "status":0,
    "msg":"success",
    "data":[{ "id":"xxx", "name":"xxx", ...  ,"isChoice":false},{ "id":"xxx", "name":"xxx", ... ,"isChoice":false }],
    },
    "requestid":"453c672537b8469d848e4c2899273d4d"
}
```


## **<a name="getQualificationByIndustry"> 根据行业ID 查询所有相关的资质 </a>**

[返回到目录](#menu)

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 接口地址 `[/web/zzzd/zzzd/springBoard]`

#### 参数说明

| 参数名   | 参数类型 | 必选项 | 备注                 |
| -------- | -------- | ------ | --------------------|
| isImports      | BOOLEAN   | 必填   |    是否进口   |
| storeTypeId    | STRING    | 必填   |    店铺类型ID |
| storeType      | STRING    | 可选   |    店铺类型   |
| industryId     | STRING    | 必填   |    一级行业ID  |
| industryName   | STRING    | 可选   |    一级行业名称 |
| secondIndustry | Array     | 必填   |    二级行业  示例：[{id:xxx,name:xxx,isChoice},{id:xxx,name:xxx}]|

#### 参数示例

```javascript
{
     "actionType": "getQualificationByIndustry",
     "actionBody":    {
          "isImports":false,// 是否进口
          "storeTypeId":"xxx",// 店铺类型ID
          "storeType":"xxx",// 店铺类型
          "industryId":"xxx",// 行业ID
          "industryName":"xxx",// 行业名称
          "secondIndustry":[   //二级行业类型数组
            {
                "id":"xxx",   //二级行业ID
                "name":"xxx"  //二级行业名称
            }
          ]
     }
}
```

#### 返回结果

```javascript
{
    "status":0,
    "msg":"success",
    "data":{
       "base":[                 //基础资质列表
            {
                "id":"xxx",
                "name":"xxx",
                ...,
                "isChoice":false
            }
       ],
       "brand":[              //品牌资质列表
            {
                "id":"xxx",
                "name":"xxx",
                ...,
                "isChoice":false
            }
        ],
       "industry":[],        //行业资质列表
    },
    "requestid":"453c672537b8469d848e4c2899273d4d"
}
```


## **<a name="check"> 立即查看结果 </a>**

[返回到目录](#menu)

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 接口地址 `[/web/zzzd/zzzd/springBoard]`

#### 参数说明

| 参数名 | 参数类型 | 必选项 | 备注                 |
| ------ | -------- | ------ | -------------------- |
| industryId     | STRING     | 必填   |  行业ID     |
| industryName   | STRING     | 可选   |  行业名称    |
| secondIndustry | Array     | 必填   |    二级行业  示例：[{id:xxx,name:xxx}]|
| mobile         | STRING     | 必填   |  电话        |
| enterprise     | STRING     | 必填   |  企业名称    |
| data           | OBJECT     | 必填   |  整个表单数据  （每条记录添加有没有选中标识 isChoice 字段） |


#### 参数示例

```javascript
{
     "actionType": "check",
     "actionBody":    {
          "industryId":"xxx",  // 行业ID
          "industryName":"xxx",// 行业名称
          "mobile":"xxx",    //电话
          "enterprise":"xxx",//企业名称
          "data":object,      //整个表单数据  （每条记录添加有没有选中标识 isChoice 字段）
          "secondIndustry":[   //二级行业类型数组
            {
                "id":"xxx",   //二级行业ID
                "name":"xxx"  //二级行业名称
            },
            {
                "id":"xxx",   //二级行业ID
                "name":"xxx"  //二级行业名称
            }
          ]
     }
}

/*ps: data示例*/

{
    "base":[
        {
            "id":"",
            "name":"xxx",
            ...,
            "isChoice":false
        },
        {
            "id":"",
            "name":"xxx",
            ...,
            "isChoice":false
        }
    ]

}



```

#### 返回结果

```javascript
{
    "status":0,
    "msg":"success",
    "data":{
       "isPass":true, //是否通过
       "recommend":[  //推荐业务
            {
                "id":xxx,
                ...  
            },
            {
                "id":xxx  ,
                ...  
            }
       ]
       
    },
    "requestid":"453c672537b8469d848e4c2899273d4d"
}
```


## **<a name="counselling"> 免费咨询 </a>**

[返回到目录](#menu)

#### 参数格式 `JSON`

#### HTTP 请求方式 `POST`

#### 接口地址 `[/web/zzzd/zzzd/springBoard]`

#### 参数说明

| 参数名 | 参数类型 | 必选项 | 备注                 |
| ------ | -------- | ------ | -------------------- |
| id     | STRING   | 必填   |    业务ID      |
| mobile  | STRING  | 必填   | 电话 |
| enterprise  | STRING  | 必填   | 企业名称 |

#### 参数示例

```javascript
{
     "actionType": "counselling",
     "actionBody":    {
          "id":"xxx",    //服务ID
          "mobile":"xxx",//电话
          "enterprise":"xxx",//企业名称
     }
}
```

#### 返回结果

```javascript
{
    "status":0,
    "msg":"success",
    "data":"ok"
    "requestid":"453c672537b8469d848e4c2899273d4d"
}
```