[返回主目录](/doc)

<a name="menu">目录</a>
1. [添加](#addSsm)
1. [更新](#updSsm)
1. [用户查询](#querySsmUser)
1. [分页查询](#querySsmUsers)

## **<a name="addSsm"> 添加</a>**
[返回到目录](#menu)
##### URL
[/web/uc/ssmUserCtl/addSsm]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
	"ucname":"zhangjiao",    //用户名
	"mobile":"18833836395", //电话
	"realName":"张娇",      //用户名称
	"password":"123123"    //密码
}	

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "操作成功",
    "data": {
        "version": 0,
        "id": 6,
        "isEnabled": true,                                  //是否可用
        "ucname": "wangyang",                      
        "mobile": "18833836396",
        "realName": "汪洋",
        "password": "78438c58ed87ff507491c114fdf14c7c",
        "updated_at": "2020-05-28T03:06:50.447Z",
        "created_at": "2020-05-28T03:06:50.447Z"
    },
    "bizmsg": "empty",
    "requestid": "38ab7116d63e498587ed1a5aa46757a6"
}
```


## **<a name="updSsm"> 更新</a>**
[返回到目录](#menu)
##### URL
[/web/uc/ssmUserCtl/updSsm]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
	"id":6,                 //id  必填
	"password":"456456"     //密码
    。。。
    "isEnabled": 0,      //是否可用    1可用  0：不可用
}	

```
#### 返回结果
```javascript
{
    "status": 0,
    "msg": "操作成功",
    "data": [
        1
    ],
    "bizmsg": "empty",
    "requestid": "f061bc40cc5f427cb6198c3d66e9c940"
}
```


## **<a name="querySsmUser"> 用户查询</a>**
[返回到目录](#menu)
##### URL
[/web/uc/userCtl/queryById]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": 1,  //记录ID  
        "ucname":"zhangjiao",    //用户名
        "mobile":"18833836395", //电话
        "realName":"张娇",      //用户名称
        "isEnabled": 0,      //是否可用    1可用  0：不可用
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "操作成功",
    "data": [
        {
            "id": 5,
            "ucname": "zhangjiao",
            "mobile": "18833836395",
            "realName": "张娇",
            "password": "5e2fdc224b6d991d7f55e6655a0dbf1b",
            "isEnabled": 1,
            "created_at": "2020-05-27T07:28:49.000Z",
            "updated_at": "2020-05-27T07:30:07.000Z",
            "deleted_at": null,
            "version": 0
        }
    ],
    "bizmsg": "empty",
    "requestid": "0e142c3a4840474b91dc81a024378353"
}

```



## **<a name="querySsmUsers"> 分页查询</a>**
[返回到目录](#menu)
##### URL
[/web/uc/userCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "currentPage": 10,  
        "pageSize":1,
        "id": 1,  //记录ID  
        "ucname":"zhangjiao",    //用户名
        "mobile":"18833836395", //电话
        "realName":"张娇",      //用户名称
       "createdBegin":xxx      //开始时间
        “createdEnd”:xxx       //结束时间
        "isEnabled": 0,      //是否可用    1可用  0：不可用
           
    }

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 1,
        "rows": [
            {
                "id": 4,
                "ucname": "shengchunyang",
                "mobile": "18833836396",
                "realName": "沈春阳",
                "password": "78438c58ed87ff507491c114fdf14c7c",
                "isEnabled": 0,
                "created_at": "2020-05-26 11:40:48",
                "updated_at": "2020-05-26T03:49:22.000Z",
                "deleted_at": null,
                "version": 0,
                "isEnabledName": "未启用"
            }
        ]
    },
    "requestid": "4478aa38850d442e83390e7decc45d93"
}

```
